<?php

/**
*Папка тем
*
**/
$theme = 'themes';

/**
 * Папка модулей
 */
$modules = 'modules';

/**
 * Системная папка
 */
$system = 'system';

/**
 *
 * Расширения файлов
 *
 */
define('EXT', '.php');
/**
 * Уровень показываемых ошибок
 */
error_reporting(E_ALL & ~E_NOTICE);

/**
 * Установка путей к системным папкам
 */


define('DOCROOT', realpath(dirname(__FILE__)).DIRECTORY_SEPARATOR);
if ( ! is_dir($theme) AND is_dir(DOCROOT.$theme))
	$theme = DOCROOT.$theme;

if ( ! is_dir($modules) AND is_dir(DOCROOT.$modules))
	$modules = DOCROOT.$modules;

if ( ! is_dir($system) AND is_dir(DOCROOT.$system))
	$system = DOCROOT.$system;

define('THMPATH', str_replace('\\', '/',realpath($theme).DIRECTORY_SEPARATOR));
define('MODPATH', str_replace('\\', '/',realpath($modules).DIRECTORY_SEPARATOR));
define('SYSPATH', str_replace('\\', '/',realpath($system).DIRECTORY_SEPARATOR));



/*
 * Время старта системы
 */
define('START', microtime(1));

/*
 * Уничтожение переменных
 */

unset($theme, $modules, $system);


// Загрузка настроек системы
if(!file_exists(SYSPATH.'config/config.conf')){DIE ("Отсутствует файл <font color='blue'>config.conf</font>");}

require SYSPATH.'config/config.conf';

require SYSPATH.'include'.EXT;

$controller = new $router->controller_name();


# Выполняем метод контроллера
if(!empty($router->action)) 
{
	$action_method = 'action_'.$router->action;
	if(method_exists($controller, $action_method)) 
	{
		$controller->$action_method();
	}
	else Errors::__err(404);
}
else
{
	if(method_exists($controller,'action_index'))
	{
		$controller->action_index();
	}
	else Errors::__err(404);
}



